TICKIT_TERM_NEW(3)

NAME
tickit_term_new - create a new terminal instance

SYNOPSIS
    #include <tickit.h>

    TickitTerm *tickit_term_new(void);
    TickitTerm *tickit_term_new_for_termtype(const char *termtype);

Link with -ltickit.

DESCRIPTION
tickit_term_new() creates a new TickitTerm instance for the terminal type given by the TERM environment variable.

tickit_term_new_for_termtype() creates a new TickitTerm instance for the given terminal type.

The reference count of a newly-constructed terminal instance will be one. This can be incremented or decremented using tickit_term_ref(3) and tickit_term_unref(3). When its reference count reaches zero it is destroyed.

RETURN VALUE
If successful, tickit_term_new() and tickit_term_new_for_termtype() return a pointer to the new instance. On failure, NULL is returned with errno set to indicate the failure.

SEE ALSO
tickit_term_open_stdio(3), tickit_term_set_output_fd(3), tickit_term_set_output_func(3), tickit_term_set_input_fd(3), tickit_term_print(3), tickit_term_bind_event(3), tickit_term(7), tickit(7)